#include <hidef.h>			 /* common defines and macros */
#include "my_vectors.h"


 // requires  "-CpPPAGE=0x30 -CpPPAGE=RUNTIME -Mb -DHCS12" compiler options

static int i = 0;

#pragma DATA_SEG __PPAGE_SEG MY_BANKED_RAM  /* in 0x108000-0x10BFFF: please see .PRM file */
int bankedVar = 10;                         
unsigned int myBankedData[10] = {
   0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
#pragma DATA_SEG DEFAULT

#pragma CONST_SEG __PPAGE_SEG MY_BANKED_CONST /* in 0x3A8000-0x3ABFFF: please see .PRM file */
const unsigned int myBankedConst[] = {
   0, 1, 2, 3, 4, 5, 6, 7, 8, 9};
#pragma DATA_SEG DEFAULT


#pragma CODE_SEG DEFAULT  /* banked code */
void main(void) {

  for(i = 0; i < 10 ; i++) {
    myBankedData[i] = myBankedConst[i];
    if (i == 0) {
      bankedVar = 9;
    } else {
      bankedVar = i * 2; 
    }
  }
  
}
